<?php

use Gls\GlsPoland\PrestaShop\Hook;

if (!defined('_PS_VERSION_')) {
    exit;
}

function upgrade_module_1_1_2(Module $module): bool
{
    $module->unregisterHook(Hook\Front\Checkout\DisplayAfterCarrier::HOOK_NAME);

    return $module->registerHook([
        Hook\Common\ActionDispatcherBefore::HOOK_NAME,
        Hook\Front\Checkout\DisplayCarrierExtraContent::HOOK_NAME,
        Hook\Front\Checkout\DisplayBeforeBodyClosingTag::HOOK_NAME,
    ]);
}
